SDKs & Libraries

SDKs & Libraries

Official client libraries for integrating with the Legistry AI API.

⚠️

SDKs are coming soon. In the meantime, use the REST API directly with any HTTP client.

REST API

The Legistry AI API is a standard REST API. You can use any HTTP client:

cURL

curl -X GET https://api.legistry.ai/api/v1/contracts \
  -H "Authorization: Bearer YOUR_TOKEN"

Python (requests)

import requests
 
headers = {"Authorization": "Bearer YOUR_TOKEN"}
response = requests.get(
    "https://api.legistry.ai/api/v1/contracts",
    headers=headers
)
contracts = response.json()

JavaScript (fetch)

const response = await fetch('https://api.legistry.ai/api/v1/contracts', {
  headers: {
    'Authorization': 'Bearer YOUR_TOKEN',
    'Content-Type': 'application/json'
  }
});
const contracts = await response.json();

Python (aiohttp — async)

import aiohttp
 
async def get_contracts(token: str):
    headers = {"Authorization": f"Bearer {token}"}
    async with aiohttp.ClientSession() as session:
        async with session.get(
            "https://api.legistry.ai/api/v1/contracts",
            headers=headers
        ) as response:
            return await response.json()

Upcoming SDKs

SDKLanguageStatus
legistry-pythonPython🔜 Coming Soon
legistry-nodeNode.js🔜 Coming Soon
legistry-rubyRubyPlanned